Bug 146082 - CVE-2005-0124 Coverity: coda fs flaw (ipf)
Summary: CVE-2005-0124 Coverity: coda fs flaw (ipf)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-25 09:37 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-03 01:19:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2005-01-25 09:37:30 UTC
*** This bug has been split off bug 146079 ***

------- Original comment by Mark J. Cox (Security Response Team) on 2005.01.25
04:32 -------

Coverity Inc source checker found a few potential flaws.  Whilst most are
protected by ADMIN or NET_ADMIN and therefore not considered to be a security
risk, one could possibly allow an unprivileged denial of service (crash) or
maybe more.  For the fix see

http://linux.bkbits.net:8080/linux-2.6/cset@41e40c4cXMJpzlmvtt48jmdmdi7_Gw
http://linux.bkbits.net:8080/linux-2.4/cset@41e2bcc80m08xKvcOTyeN4AAerqKdA

More commentary is available at
http://seclists.org/lists/linux-kernel/2005/Jan/1089.html

Comment 1 Don Howard 2005-11-03 01:19:43 UTC
coda appears to be unsupported on derry.

configs/kernel-2.4.18-ia64-BOOT.config:# CONFIG_CODA_FS is not set
configs/kernel-2.4.18-ia64-BOOT.config:# CONFIG_CODA_FS is not set
configs/kernel-2.4.18-ia64.config:# CONFIG_CODA_FS is not set
configs/kernel-2.4.18-ia64.config:# CONFIG_CODA_FS is not set
configs/kernel-2.4.18-ia64-smp.config:# CONFIG_CODA_FS is not set
configs/kernel-2.4.18-ia64-smp.config:# CONFIG_CODA_FS is not set



Note You need to log in before you can comment on or make changes to this bug.